---
slug: "d2da"
authors: silverpill <@silverpill@mitra.social>
status: DRAFT
dateReceived: 1970-01-01
---
# FEP-d2da: Aliases


## Summary

How to specify alternative identifiers of an [ActivityPub] object.

## Motivation

- FEP-ef61 portable actors.
- Discovery of a Webfinger address from an activitypub actor.
- Preferred identifiers for displaying on client side.

## aliases property

The `aliases` property contains the list of alternative identifiers of an object.

All URIs in `aliases` array MUST point to objects with the same ID as the containing object.

Example:

```json
{
  "@context": [
    "https://www.w3.org/ns/activitystreams",
    {
      "xrd": "http://www.w3.org/2001/XMLSchema#",
      "aliases": {
        "@id": "xrd:Alias",
        "@type": "@id",
        "@container": "@list"
      }
    }
  ],
  "type": "Person",
  "id": "https://social.example/actor",
  "inbox": "https://social.example/actor/inbox",
  "outbox": "https://social.example/actor/outbox",
  "aliases": [
    "https://alt.example/actor",
    "acct:actor@social.example",
    "dns:social.example"
  ]
}
```

## References

- Christine Lemmer Webber, Jessica Tallon, [ActivityPub][ActivityPub], 2018

[ActivityPub]: https://www.w3.org/TR/activitypub/

## Copyright

CC0 1.0 Universal (CC0 1.0) Public Domain Dedication

To the extent possible under law, the authors of this Fediverse Enhancement Proposal have waived all copyright and related or neighboring rights to this work.
